Bug 6802 - Firefox 10.0.6 [mga1]
: Firefox 10.0.6 [mga1]
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: RPM Packages
: 1
: All Linux
: Normal Severity: normal
: ---
Assigned To: QA Team
:
:
: mga1-64-OK mga1-32-OK
: validated_update
: 6801
:
  Show dependency treegraph
 
Reported: 2012-07-17 14:40 CEST by David Walser
Modified: 2012-07-19 03:02 CEST (History)
4 users (show)

See Also:
Source RPM: firefox
CVE:


Attachments

Description David Walser 2012-07-17 14:40:13 CEST
Funda Wang has built the Firefox 10.0.6 update for Mageia 1.

Advisory to come later.

Source RPMs:
firefox-10.0.6-1.mga1
firefox-l10n-10.0.6-1.mga1
xulrunner-10.0.6-1.mga1

Full list of packages in core/updates_testing:
firefox-10.0.6-1.mga1
firefox-devel-10.0.6-1.mga1
firefox-af-10.0.6-1.mga1
firefox-ar-10.0.6-1.mga1
firefox-ast-10.0.6-1.mga1
firefox-be-10.0.6-1.mga1
firefox-bg-10.0.6-1.mga1
firefox-bn_IN-10.0.6-1.mga1
firefox-bn_BD-10.0.6-1.mga1
firefox-br-10.0.6-1.mga1
firefox-bs-10.0.6-1.mga1
firefox-ca-10.0.6-1.mga1
firefox-cs-10.0.6-1.mga1
firefox-cy-10.0.6-1.mga1
firefox-da-10.0.6-1.mga1
firefox-de-10.0.6-1.mga1
firefox-el-10.0.6-1.mga1
firefox-en_GB-10.0.6-1.mga1
firefox-en_ZA-10.0.6-1.mga1
firefox-eo-10.0.6-1.mga1
firefox-es_AR-10.0.6-1.mga1
firefox-es_CL-10.0.6-1.mga1
firefox-es_ES-10.0.6-1.mga1
firefox-es_MX-10.0.6-1.mga1
firefox-et-10.0.6-1.mga1
firefox-eu-10.0.6-1.mga1
firefox-fa-10.0.6-1.mga1
firefox-fi-10.0.6-1.mga1
firefox-fr-10.0.6-1.mga1
firefox-fy-10.0.6-1.mga1
firefox-ga_IE-10.0.6-1.mga1
firefox-gd-10.0.6-1.mga1
firefox-gl-10.0.6-1.mga1
firefox-gu_IN-10.0.6-1.mga1
firefox-he-10.0.6-1.mga1
firefox-hi-10.0.6-1.mga1
firefox-hr-10.0.6-1.mga1
firefox-hu-10.0.6-1.mga1
firefox-hy-10.0.6-1.mga1
firefox-id-10.0.6-1.mga1
firefox-is-10.0.6-1.mga1
firefox-it-10.0.6-1.mga1
firefox-ja-10.0.6-1.mga1
firefox-kk-10.0.6-1.mga1
firefox-ko-10.0.6-1.mga1
firefox-kn-10.0.6-1.mga1
firefox-ku-10.0.6-1.mga1
firefox-lg-10.0.6-1.mga1
firefox-lt-10.0.6-1.mga1
firefox-lv-10.0.6-1.mga1
firefox-mai-10.0.6-1.mga1
firefox-mk-10.0.6-1.mga1
firefox-ml-10.0.6-1.mga1
firefox-mr-10.0.6-1.mga1
firefox-nb_NO-10.0.6-1.mga1
firefox-nl-10.0.6-1.mga1
firefox-nn_NO-10.0.6-1.mga1
firefox-nso-10.0.6-1.mga1
firefox-or-10.0.6-1.mga1
firefox-pa_IN-10.0.6-1.mga1
firefox-pl-10.0.6-1.mga1
firefox-pt_BR-10.0.6-1.mga1
firefox-pt_PT-10.0.6-1.mga1
firefox-ro-10.0.6-1.mga1
firefox-ru-10.0.6-1.mga1
firefox-si-10.0.6-1.mga1
firefox-sk-10.0.6-1.mga1
firefox-sl-10.0.6-1.mga1
firefox-sq-10.0.6-1.mga1
firefox-sr-10.0.6-1.mga1
firefox-sv_SE-10.0.6-1.mga1
firefox-ta-10.0.6-1.mga1
firefox-ta_LK-10.0.6-1.mga1
firefox-te-10.0.6-1.mga1
firefox-th-10.0.6-1.mga1
firefox-tr-10.0.6-1.mga1
firefox-uk-10.0.6-1.mga1
firefox-vi-10.0.6-1.mga1
firefox-zh_CN-10.0.6-1.mga1
firefox-zh_TW-10.0.6-1.mga1
firefox-zu-10.0.6-1.mga1
xulrunner-10.0.6-1.mga1
libxulrunner10.0.6-10.0.6-1.mga1
libxulrunner-devel-10.0.6-1.mga1
Comment 1 David Walser 2012-07-17 14:54:33 CEST
We still need gnome-python-extras and perl-Gtk-MozEmbed rebuilt against the new xulrunner on Mageia 1.  We can wait to see how testing of gnome-python-gtkmozembed goes on Mageia 2 first.  If it's still segfaulting, we'll have to exclude these from the update again anyway.
Comment 2 Dave Hodgins 2012-07-18 00:06:57 CEST
Testing complete on Mageia 1 i586.

Same browser testing as normal, including flash, java applet,
general browsing.
Comment 3 David Walser 2012-07-18 00:35:29 CEST
I don't have good CVE descriptions yet, but I imagine I'll be able to get them
from Mandriva or RedHat pretty soon.  I do have the list of references for the
advisory compiled already.

Not assigning to QA just yet, but the packages built can be tested.

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1948
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1949
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1950
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1951
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1952
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1953
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1954
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1955
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1957
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1958
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1959
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1961
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1962
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1963
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1964
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1965
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1966
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1967
http://www.mozilla.org/security/announce/2012/mfsa2012-42.html
http://www.mozilla.org/security/announce/2012/mfsa2012-43.html
http://www.mozilla.org/security/announce/2012/mfsa2012-44.html
http://www.mozilla.org/security/announce/2012/mfsa2012-45.html
http://www.mozilla.org/security/announce/2012/mfsa2012-46.html
http://www.mozilla.org/security/announce/2012/mfsa2012-47.html
http://www.mozilla.org/security/announce/2012/mfsa2012-48.html
http://www.mozilla.org/security/announce/2012/mfsa2012-49.html
http://www.mozilla.org/security/announce/2012/mfsa2012-51.html
http://www.mozilla.org/security/announce/2012/mfsa2012-52.html
http://www.mozilla.org/security/announce/2012/mfsa2012-53.html
http://www.mozilla.org/security/announce/2012/mfsa2012-54.html
http://www.mozilla.org/security/announce/2012/mfsa2012-55.html
http://www.mozilla.org/security/announce/2012/mfsa2012-56.html
Comment 4 Manuel Hiebel 2012-07-18 00:36:45 CEST
OK no mga1, x86_64
Comment 5 David Walser 2012-07-18 12:38:15 CEST
Assigning to QA as xulrunner is still broken.
Comment 6 Simon Putt 2012-07-18 13:21:50 CEST
Chatzilla Nightly can be installed now (used to crash fox 10.0.4/5) but newer versions of AdBlock from mozilla still make fox die with a segfault in libxul.so

(I'm on Mageia 2, x86_64)
Comment 7 Simon Putt 2012-07-18 13:22:32 CEST
Opps, meant for the mga2 version of this bug report.
Comment 8 David Walser 2012-07-18 14:44:21 CEST
Full advisory, courtesy of RedHat :o)

Advisory:
========================

Updated firefox packages fix security vulnerabilities:

A web page containing malicious content could cause Firefox to crash or,
potentially, execute arbitrary code with the privileges of the user running
Firefox (CVE-2012-1948, CVE-2012-1951, CVE-2012-1952, CVE-2012-1953,
CVE-2012-1954, CVE-2012-1958, CVE-2012-1962, CVE-2012-1967).

A malicious web page could bypass same-compartment security wrappers (SCSW)
and execute arbitrary code with chrome privileges (CVE-2012-1959).

A flaw in the context menu functionality in Firefox could allow a malicious
website to bypass intended restrictions and allow a cross-site scripting
attack (CVE-2012-1966).

A page different to that in the address bar could be displayed when
dragging and dropping to the address bar, possibly making it easier for a
malicious site or user to perform a phishing attack (CVE-2012-1950).

A flaw in the way Firefox called history.forward and history.back could
allow an attacker to conceal a malicious URL, possibly tricking a user
into believing they are viewing a trusted site (CVE-2012-1955).

A flaw in a parser utility class used by Firefox to parse feeds (such as
RSS) could allow an attacker to execute arbitrary JavaScript with the
privileges of the user running Firefox. This issue could have affected
other browser components or add-ons that assume the class returns
sanitized input (CVE-2012-1957).

A flaw in the way Firefox handled X-Frame-Options headers could allow a
malicious website to perform a clickjacking attack (CVE-2012-1961).

A flaw in the way Content Security Policy (CSP) reports were generated by
Firefox could allow a malicious web page to steal a victim's OAuth 2.0
access tokens and OpenID credentials (CVE-2012-1963).

A flaw in the way Firefox handled certificate warnings could allow a
man-in-the-middle attacker to create a crafted warning, possibly tricking
a user into accepting an arbitrary certificate as trusted (CVE-2012-1964).

A flaw in the way Firefox handled feed:javascript URLs could allow output
filtering to be bypassed, possibly leading to a cross-site scripting
attack (CVE-2012-1965).

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1948
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1949
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1950
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1951
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1952
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1953
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1954
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1955
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1957
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1958
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1959
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1961
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1962
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1963
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1964
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1965
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1966
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1967
http://www.mozilla.org/security/announce/2012/mfsa2012-42.html
http://www.mozilla.org/security/announce/2012/mfsa2012-43.html
http://www.mozilla.org/security/announce/2012/mfsa2012-44.html
http://www.mozilla.org/security/announce/2012/mfsa2012-45.html
http://www.mozilla.org/security/announce/2012/mfsa2012-46.html
http://www.mozilla.org/security/announce/2012/mfsa2012-47.html
http://www.mozilla.org/security/announce/2012/mfsa2012-48.html
http://www.mozilla.org/security/announce/2012/mfsa2012-49.html
http://www.mozilla.org/security/announce/2012/mfsa2012-51.html
http://www.mozilla.org/security/announce/2012/mfsa2012-52.html
http://www.mozilla.org/security/announce/2012/mfsa2012-53.html
http://www.mozilla.org/security/announce/2012/mfsa2012-54.html
http://www.mozilla.org/security/announce/2012/mfsa2012-55.html
http://www.mozilla.org/security/announce/2012/mfsa2012-56.html
https://rhn.redhat.com/errata/RHSA-2012-1088.html
========================

Source RPMs:
firefox-10.0.6-1.mga1
firefox-l10n-10.0.6-1.mga1
Comment 9 David Walser 2012-07-18 14:45:29 CEST
Oops, fixing a minor mistake in the references...

Advisory:
========================

Updated firefox packages fix security vulnerabilities:

A web page containing malicious content could cause Firefox to crash or,
potentially, execute arbitrary code with the privileges of the user running
Firefox (CVE-2012-1948, CVE-2012-1951, CVE-2012-1952, CVE-2012-1953,
CVE-2012-1954, CVE-2012-1958, CVE-2012-1962, CVE-2012-1967).

A malicious web page could bypass same-compartment security wrappers (SCSW)
and execute arbitrary code with chrome privileges (CVE-2012-1959).

A flaw in the context menu functionality in Firefox could allow a malicious
website to bypass intended restrictions and allow a cross-site scripting
attack (CVE-2012-1966).

A page different to that in the address bar could be displayed when
dragging and dropping to the address bar, possibly making it easier for a
malicious site or user to perform a phishing attack (CVE-2012-1950).

A flaw in the way Firefox called history.forward and history.back could
allow an attacker to conceal a malicious URL, possibly tricking a user
into believing they are viewing a trusted site (CVE-2012-1955).

A flaw in a parser utility class used by Firefox to parse feeds (such as
RSS) could allow an attacker to execute arbitrary JavaScript with the
privileges of the user running Firefox. This issue could have affected
other browser components or add-ons that assume the class returns
sanitized input (CVE-2012-1957).

A flaw in the way Firefox handled X-Frame-Options headers could allow a
malicious website to perform a clickjacking attack (CVE-2012-1961).

A flaw in the way Content Security Policy (CSP) reports were generated by
Firefox could allow a malicious web page to steal a victim's OAuth 2.0
access tokens and OpenID credentials (CVE-2012-1963).

A flaw in the way Firefox handled certificate warnings could allow a
man-in-the-middle attacker to create a crafted warning, possibly tricking
a user into accepting an arbitrary certificate as trusted (CVE-2012-1964).

A flaw in the way Firefox handled feed:javascript URLs could allow output
filtering to be bypassed, possibly leading to a cross-site scripting
attack (CVE-2012-1965).

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1948
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1950
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1951
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1952
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1953
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1954
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1955
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1957
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1958
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1959
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1961
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1962
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1963
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1964
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1965
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1966
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1967
http://www.mozilla.org/security/announce/2012/mfsa2012-42.html
http://www.mozilla.org/security/announce/2012/mfsa2012-43.html
http://www.mozilla.org/security/announce/2012/mfsa2012-44.html
http://www.mozilla.org/security/announce/2012/mfsa2012-45.html
http://www.mozilla.org/security/announce/2012/mfsa2012-46.html
http://www.mozilla.org/security/announce/2012/mfsa2012-47.html
http://www.mozilla.org/security/announce/2012/mfsa2012-48.html
http://www.mozilla.org/security/announce/2012/mfsa2012-49.html
http://www.mozilla.org/security/announce/2012/mfsa2012-51.html
http://www.mozilla.org/security/announce/2012/mfsa2012-52.html
http://www.mozilla.org/security/announce/2012/mfsa2012-53.html
http://www.mozilla.org/security/announce/2012/mfsa2012-54.html
http://www.mozilla.org/security/announce/2012/mfsa2012-55.html
http://www.mozilla.org/security/announce/2012/mfsa2012-56.html
https://rhn.redhat.com/errata/RHSA-2012-1088.html
========================

Source RPMs:
firefox-10.0.6-1.mga1
firefox-l10n-10.0.6-1.mga1
Comment 10 claire robinson 2012-07-18 15:45:10 CEST
Testing complete Mageia 1 x86_64 for SRPMs

firefox-10.0.6-1.mga1
firefox-l10n-10.0.6-1.mga1

When pushed, xulrunner-10.0.6-1.mga1 will need to be removed from core/updates_testing as there are still issues with it on mga 2. Not tested mga1.
It will need to be updated separately when the problems are resolved.
Comment 11 David Walser 2012-07-18 23:26:54 CEST
Can this be validated?  Looks like Dave tested i586 in Comment 2.
Comment 12 Thomas Backlund 2012-07-19 02:57:31 CEST
xulrunner removed and Update pushed:
https://wiki.mageia.org/en/Support/Advisories/MGASA-2012-0173

Note You need to log in before you can comment on or make changes to this bug.